# Template file for 'doxygen'
pkgname=doxygen
version=1.7.4
distfiles="http://ftp.stack.nl/pub/users/dimitri/$pkgname-$version.src.tar.gz"
build_style=custom-install
short_desc="Source code documentation generator tool"
maintainer="Juan RP <xtraeme@gmail.com>"
checksum=845c994440dcdbbde81afcb2feae16c4f4cafb85e5dd379b238530e4caf5df66
long_desc="
 Doxygen is a documentation system for C++, C, Java, Objective-C, Python,
 IDL (Corba and Microsoft flavors), Fortran, VHDL, PHP, C#, and to some
 extent D."

subpackages="$pkgname-gui"
Add_dependency run glibc
Add_dependency run libgcc
Add_dependency run libstdc++
Add_dependency build perl
Add_dependency build flex
Add_dependency build qt-devel

do_build()
{
	export QMAKESPEC=/usr/share/qt/mkspecs/linux-g++

	env QTDIR=/usr ./configure \
		--prefix /usr --with-doxywizard --with-doxyapp
	make ${makejobs}
}

do_install()
{
	make INSTALL=${DESTDIR}/usr MAN1DIR=share/man/man1 install
}
